Patch #38121

Update MiniMagick to 4.12

Added by Go MAEDA about 1 month ago. Updated about 1 month ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Go MAEDA% Done:

0%

Category:Gems support
Target version:5.1.0


Related issues

Related to Redmine - Feature #38099: Ruby 3.2 support Closed

Associated revisions

Revision 22004
Added by Go MAEDA about 1 month ago

Update MiniMagick to 4.12 (#38121).

History

#1 Updated by Go MAEDA about 1 month ago

MiniMagick 4.11 and earlier have a compatibility issue with Ruby 3.2.

https://github.com/minimagick/minimagick/releases/tag/v4.12.0 says:

Replace File.exists? with File.exist?, which should fix Ruby 3.2 compatibility (#550)

#2 Updated by Go MAEDA about 1 month ago

#3 Updated by Go MAEDA about 1 month ago

  • Status changed from New to Closed
  • Assignee set to Go MAEDA

Updated MiniMagick to 4.12 in r22004.

Also available in: Atom PDF